[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDependencies

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Dependencies collection for a daemon

## Declaration

Source position: daemonapp.pp line 170

`type TDependencies = class(TCollection)`
`public`
`constructor Create();` |  | Create a new instance of a TDependencies collection.
`property Items []: TDependency; default; [rw]` |  | Default property override
`end;`

## Inheritance

`TDependencies` |  | Dependencies collection for a daemon
`TCollection`
`TPersistent,IFPObserved`
`TObject`

## Description

TDependencies is just a descendent of TCollection which contains a series of dependencies on other services. It overrides the default property of TCollection to return TDependency instances.

## See also

TDependency |  | Container to define dependencies on other services.